Subject: Re: Cygnus b19 gcc and Mingw32
From: [email-masked] (Christopher Faylor)

10 Mar 1998 00:29:19 -0800
Message-ID: <[email-masked]>
References: <[email-masked]>
Reply-To: [email-masked]
To: [email-masked]

Sorry about this.  My ISP is claiming that I shouldn't be using .gz
formats on my files but should be using some standard format like
..zip.  Files ending in .gz are misidentified by their HTTP server.

I will probably do that soon, but in the mean time, I'm trying various
routes to see if they will fix the problem.

If anyone would like to offer suggestions to the [email-masked] on
how to solve this problem, feel free.

In article <[email-masked]>,
Earnie Boyd <[email-masked]> wrote:
>Well, I'm interested in the prebuilt binaries.  Downloaded with 
>SaveLinkAs because Netscape Communicator opens the file and displays the 
>bytes.  After downloading "gzip -d cygwinb19.dll-gz" gives a "not valid 
>format" error.
>
>>From: [email-masked] (Christopher Faylor)
>>Subject: Re: Cygnus b19 gcc and Mingw32
>>Date: Mon, 9 Mar 1998 13:46:28 GMT
>>To: [email-masked]
>>Reply-To: [email-masked]
>>
>>In article <[email-masked]>,
>>Colin Peters <[email-masked]> wrote:
>>>On a new point. Are Mingw32 programs the only ones suffering from 
>bizarre
>>>problems with stdin, stdout and such under bash? I seem to remember
>>>something about non-Cygwin32 programs
>>>having output disappear, and it definitely happens to me.
>>
>>Here's a patch that I've submitted to Cygnus which should deal with
>>this problem.
>>
>>If you want a prebuilt .dll, check out:
>>
>>http://www.tiac.net/users/cgf/cygwinb19.dll-gz
>>
>>(Don't ask about the the -gz "extension".  My ISP is incompetent...)
>>
>>	patch from [email-masked] (Christopher Faylor)
>>	* spawn.cc (spawn_guts):  Make argument handling after `#! pgm'
>>	handle spaces similarly to UNIX.  Close "linearized" file handles
>>	when a non-cygwin32 binary is executed or suffer hangs on exit.
>>	Reorganize lpReserved2 buffer to avoid conflicts with Microsoft usage
>>	which resulted in incorrect stdin/stdout operation with programs
>>	compiled using MSVC.
>>	* pinfo.cc (pinfo_init):  Accomodate change to lpReserved2
>>	organization.
>>
><snip>
>>-- 
>>http://www.bbc.com/	[email-masked]			"Strange how unreal
>>VMS=>UNIX Solutions	Boston Business Computing	 the real can be."
>
>
>-        \\||//
>---o0O0--Earnie--0O0o----
>[email-masked]
>------ooo0O--O0ooo-------
>
>
>
>______________________________________________________
>Get Your Private, Free Email at http://www.hotmail.com
>-
>For help on using this list (especially unsubscribing), send a message to
>"[email-masked]" with one line of text: "help".

-- 
http://www.bbc.com/	[email-masked]			"Strange how unreal
VMS=>UNIX Solutions	Boston Business Computing	 the real can be."
-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".